﻿<%@ Page Title="" Language="C#" MasterPageFile="~/master.Master" AutoEventWireup="true" CodeBehind="frmship.aspx.cs" Inherits="WebApplication1.WebForm1" %>



<%@ Register Assembly="Syncfusion.EJ.Web, Version=14.2450.0.28, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<%@ Register Assembly="Syncfusion.EJ, Version=14.2450.0.28, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>



<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">


    <div>


        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <div>
            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <asp:TextBox ID="txtfreight" runat="server"></asp:TextBox>
                    <ej:Dialog ID="Dialog" ClientIDMode="Static" ClientSideOnBeforeOpen="open" ShowOnInit="false" EnableModal="true" Target="#OrdersGrid" runat="server" Title="SearchGrid">
                        
                        <DialogContent>
                            <ej:Grid ID="PopupGrid" runat="server" ClientIDMode="Static">
                                <PageSettings PageSize="3" />
                                <Columns>
                                    <ej:Column Field="ShipName" />
                                </Columns>
                                <ClientSideEvents RowSelected="rowSelected" />
                            </ej:Grid>
                        </DialogContent>
                    </ej:Dialog>
                    <ej:Grid ID="OrdersGrid" ClientIDMode="Static" runat="server" AllowPaging="True" >
                        <SummaryRows>

                            <ej:SummaryRow Title="Sum">
                                <SummaryColumn>

                                    <ej:SummaryColumn SummaryType="Sum" Format="{0:C}" DisplayColumn="Freight" DataMember="Freight" />

                                </SummaryColumn>

                            </ej:SummaryRow>
                        </SummaryRows>

                        <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" />

                        <Columns>
                            <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90">
                                <ValidationRule>
                                    <ej:KeyValue Key="required" Value="true" />
                                    <ej:KeyValue Key="number" Value="true" />
                                </ValidationRule>
                            </ej:Column>
                            <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="90">
                                <ValidationRule>
                                    <ej:KeyValue Key="required" Value="true" />
                                    <ej:KeyValue Key="minlength" Value="3" />
                                </ValidationRule>
                            </ej:Column>
                            <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" EditType="Numeric">
                                <NumericEditOptions DecimalPlaces="2"></NumericEditOptions>
                            </ej:Column>
                            <ej:Column Field="ShipName" HeaderText="ShipName" Width="110"></ej:Column>
                            <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" EditType="Dropdown" />
                        </Columns>
                        <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="DialogTemplate" DialogEditorTemplateID="#template"></EditSettings>
                        <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
                    </ej:Grid>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>



        <script type="text/template" id="template">
            <b>Order Details</b>
            <table cellspacing="10">
                <tr>
                    <td style="text-align: right;">Order ID
                    </td>
                    <td style="text-align: left">
                        <input id="OrderID" name="OrderID" value="{{: OrderID}}" disabled="disabled"
                            class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                    </td>
                    <td style="text-align: right;">Customer ID
                    </td>
                    <td style="text-align: left">
                        <input id="CustomerID" name="CustomerID" value="{{: CustomerID}}" class="e-field e-ejinputtext valid"
                            style="width: 116px; height: 28px" />
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">Freight
                    </td>
                    <td style="text-align: left">
                        <input type="text" id="Freight" name="Freight" value="{{:Freight}}" />
                    </td>
                    <td style="text-align: right;">ShipCountry
                    </td>
                    <td style="text-align: left">
                        <select id="ShipCountry" name="ShipCountry">
                            <option value="Germany">Germany</option>
                            <option value="Mexico">Mexico</option>
                            <option value="UK">UK</option>
                            <option value="Sweden">Sweden</option>
                            <option value="France">France</option>
                            <option value="Italy">Italy</option>
                            <option value="Spain">Spain</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: right;">ShipName
                    </td>
                    <td style="text-align: left">
                        <input id="ShipName" name="ShipName" class="e-field e-ejinputtext valid"
                            style="width: 116px; height: 28px" value="{{:ShipName}}" />

                        <button id="btn" type="button" class="btn btn-info">...</button>

                    </td>
                </tr>
            </table>
        </script>
        <script type="text/javascript">
            var gridData = JSON.parse('<%= new System.Web.Script.Serialization.JavaScriptSerializer().Serialize(this.Data)%>');
            function complete(args) {
                if (args.requestType == "refresh" || args.requestType == "save") {
                    $('#<%= OrdersGrid.ClientID %>').ejWaitingPopup("hide");
                }
                var textbox = document.getElementById('<%=txtfreight.ClientID %>');

                if ((args.requestType == "beginedit" || args.requestType == "add")) {

                    $("#Freight").ejNumericTextbox({ value: parseFloat($("#Freight").val()), width: "116px", height: "28px", decimalPlaces: 2 });
                    $("#ShipCountry").ejDropDownList({ width: '116px' });
                    if (args.requestType == "beginedit") {
                        $("#OrderID").attr("disabled", "disabled");
                        $("#ShipCountry").ejDropDownList("setSelectedValue", args.row.children().eq(4).text());
                    }
                    $("#btn").ejButton({
                        text: "...",
                        click: function (args) {
                            $("#Dialog").ejDialog("open");
                        }
                    })
                }
            }
            function open(args) {
                $("#PopupGrid").ejGrid({ allowPaging: true });
            }
            function rowSelected(args) {
                $("#ShipName").val(args.data.ShipName).text(args.data.ShipName);
                $("#Dialog").ejDialog("close");
            }
        </script>





    </div>



</asp:Content>
